<template>
    <div class="display-board">
        <h4>Users Created</h4>
        <div class="number">
        {{numberOfUsers}}
        </div>
        <div class="btn">
            <button @click='getAllUsers()' type="button" class="btn btn-warning">Get all Users</button>
            <button @click='getAllMedias()' type="button" class="btn btn-danger">Get all Media</button>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'DisplayBoard',
        props: ['numberOfUsers'],
        methods: {
            getAllUsers() {
                this.$emit('getAllUsers')
            },
            getAllMedias(){
                this.$emit('getAllMedias')
            }
        }
    }
</script>